Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Batches
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
    • AcceptEvictionRequest
      POST
    • RejectEvictionRequest
      POST
    • AcceptEvictionConfirmation
      POST
    • RejectEvictionConfirmation
      POST
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Batches

GetBatchesByOrganization

GET
/orgs/{organizationId}/batches
Endpoints for organization management operations

Request

Authorization
Path Params

Query Params

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/orgs//batches?State=undefined&Type=undefined&SubjectId=undefined&IdempotencyKey=undefined&PageToken=undefined&PageSize=undefined&SortDirection=undefined'
Response Response Example
{
    "data": [
        {
            "batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
            "type": "NONE",
            "status": "QUEUED",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "finishedAt": "2019-08-24T14:15:22.123Z",
            "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
            "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
            "succeeded": [
                {}
            ],
            "failed": [
                {}
            ]
        }
    ],
    "summary": {
        "status": "string",
        "nextPageToken": "string"
    }
}
Modified at 2026-05-07 06:23:23
Previous
GetBatchById
Next
GetBatchById - Legacy (To be removed)
Built with